org.codehaus.plexus.metadata

## Class PlexusMetadataGeneratorCli

- java.lang.Object
- - org.codehaus.plexus.tools.cli.AbstractCli
  - - org.codehaus.plexus.metadata.PlexusMetadataGeneratorCli

All Implemented Interfaces:
  org.codehaus.plexus.tools.cli.Cli

    public class PlexusMetadataGeneratorCli
    extends org.codehaus.plexus.tools.cli.AbstractCli

### Field Summary

Fields
`static char` `CLASSES_DIRECTORY`
`static char` `DESCRIPTORS_DIRECTORY`
`static char` `OUTPUT_FILE`
`static char` `SOURCE_DIRECTORY`
`static char` `SOURCE_ENCODING`

### Fields inherited from class org.codehaus.plexus.tools.cli.AbstractCli

`DEBUG, ERRORS, HELP, QUIET, SET_SYSTEM_PROPERTY, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`PlexusMetadataGeneratorCli()`

### Method Summary

Methods
`org.apache.commons.cli.Options` `buildCliOptions(org.apache.commons.cli.Options options)`
`java.lang.String` `getPomPropertiesPath()`
`void` `invokePlexusComponent(org.apache.commons.cli.CommandLine cli, PlexusContainer plexus)`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class org.codehaus.plexus.tools.cli.AbstractCli

`buildDefaultCliOptions, displayHelp, execute, execute, parse, showError, showFatalError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SOURCE_DIRECTORY

    public static final char SOURCE_DIRECTORY

See Also:
  Constant Field Values

#### SOURCE_ENCODING

    public static final char SOURCE_ENCODING

See Also:
  Constant Field Values

#### CLASSES_DIRECTORY

    public static final char CLASSES_DIRECTORY

See Also:
  Constant Field Values

#### OUTPUT_FILE

    public static final char OUTPUT_FILE

See Also:
  Constant Field Values

#### DESCRIPTORS_DIRECTORY

    public static final char DESCRIPTORS_DIRECTORY

See Also:
  Constant Field Values

### Constructor Detail

#### PlexusMetadataGeneratorCli

    public PlexusMetadataGeneratorCli()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getPomPropertiesPath

    public java.lang.String getPomPropertiesPath()

Specified by:
  `getPomPropertiesPath` in interface `org.codehaus.plexus.tools.cli.Cli`
Overrides:
  `getPomPropertiesPath` in class `org.codehaus.plexus.tools.cli.AbstractCli`

#### buildCliOptions

    public org.apache.commons.cli.Options buildCliOptions(org.apache.commons.cli.Options options)

Specified by:
  `buildCliOptions` in interface `org.codehaus.plexus.tools.cli.Cli`
Specified by:
  `buildCliOptions` in class `org.codehaus.plexus.tools.cli.AbstractCli`

#### invokePlexusComponent

    public void invokePlexusComponent(org.apache.commons.cli.CommandLine cli,
                             PlexusContainer plexus)
                               throws java.lang.Exception

Specified by:
  `invokePlexusComponent` in interface `org.codehaus.plexus.tools.cli.Cli`
Specified by:
  `invokePlexusComponent` in class `org.codehaus.plexus.tools.cli.AbstractCli`
Throws:
  `java.lang.Exception`